Bug 1259179 - [Docs] [Director] Include information regarding other possible fence devices than just ipmilan
[Docs] [Director] Include information regarding other possible fence devices ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
All Linux
medium Severity medium
: y1
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 03:07 EDT by Jaison Raju
Modified: 2015-10-28 16:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 16:42:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaison Raju 2015-09-02 03:07:01 EDT
Description of problem:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html-single/Director_Installation_and_Usage/index.html#sect-Advanced-Fencing_the_Controller_Nodes
6.3.10. Fencing the Controller Nodes

The above documentation only mention fence_ipmilan & the command required to add stonith device for ipmilan .
Although this documentation should also mention other fence device options :
https://access.redhat.com/articles/28603
Also add corresponding command to add stonith device for each fence agent .
For example for Cisco UCS : we need to include the command in RHEL7 section of the following article .
https://access.redhat.com/solutions/31225


Version-Release number of selected component (if applicable):
Doc-Director_Installation_and_Usage

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Andrew Dahms 2015-09-03 02:41:36 EDT
Assigning to Dan for review.
Comment 5 Dan Macpherson 2015-09-30 22:07:44 EDT
Have included a list of supported fence agents on the Overcloud image:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Fencing_the_Controller_Nodes

Jaison -- is that what you were after in terms of mentioning other fence devices?
Comment 13 Dan Macpherson 2015-10-14 21:50:14 EDT
Hi Jaison,

I've pushed out a live version of the doc:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Fencing_the_Controller_Nodes

This contains the UCS driver and a link to the UCS fencing config.

How does this look to you?
Comment 14 Jaison Raju 2015-10-28 08:19:42 EDT
(In reply to Dan Macpherson from comment #13)
> Hi Jaison,
> 
> I've pushed out a live version of the doc:
> 
> https://access.redhat.com/documentation/en-US/
> Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/
> Director_Installation_and_Usage/sect-Advanced-
> Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.
> html#sect-Advanced-Fencing_the_Controller_Nodes
> 
> This contains the UCS driver and a link to the UCS fencing config.
> 
> How does this look to you?

Sorry for the delay.
Looks good to me .
Comment 15 Dan Macpherson 2015-10-28 16:42:59 EDT
Cool. Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.